> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get default endpoints

> Check default proxy endpoints for a specific plan type.



## OpenAPI

````yaml GET /api/v2/proxy/endpoints/default
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/proxy/endpoints/default:
    get:
      tags: []
      summary: Get default endpoints
      description: Check default proxy endpoints for a specific plan type.
      parameters:
        - name: apiKey
          in: query
          description: Agent API key used for authentication
          required: true
          schema:
            type: string
        - name: proxyType
          in: query
          description: >-
            Rotating proxies type. Use 1 for Starter, 2 for Advanced, 3 for
            Premium.
          required: true
          schema:
            type: string
        - name: secUsername
          in: query
          description: Sec-user account. Letters and numbers only, up to 40 characters.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    protocol:
                      type: string
                      description: Protocol used for the endpoint
                    endpoint:
                      type: string
                      description: >-
                        Proxy endpoint (host:port) including username and
                        password for authentication
                    sessionType:
                      type: string
                      description: Session type
                    location:
                      type: string
                      description: >-
                        Geolocation of the proxy server (Default: random
                        locations)
                    account:
                      type: string
                      description: >-
                        Account used to generate the endpoint and authenticate
                        proxy connection
                  required:
                    - protocol
                    - endpoint
                    - sessionType
                    - location
                    - account
              example:
                protocol: Endpoint:Port
                endpoint: tunnel-proxy.okeyproxy.com:30000:customer-798v509632:qli98bex
                sessionType: Rotating
                location: Random
                account: 798v509632
          headers: {}
      deprecated: false
      security: []

````